at.chipkarte.client.dbas.soap

## Class KonsultationInfo

- Object
- - at.chipkarte.client.dbas.soap.KonsultationInfo

-     public class KonsultationInfo
      extends Object

  Diese Klasse hält die Daten einer Konsultation, an die das entsprechende Datenblatt zugeordnet werden kann.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KonsultationInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBehandlungsdatum()` Datum der Behandlung.
    `String` | `getBehandlungsfallCode()` Code des Behandlungsfalls.
    `String` | `getFachgebietsCode()` Code des Fachgebietes, mit dem die Konsultation durchgeführt wurde.
    `Long` | `getKonsultationId()` Eindeutige Nummer der Konsultation.
    `String` | `getLeistungsSvtCode()` Code des leistungszuständigen Svt für die SV-Person.
    `String` | `getVerrechnungsSvtCode()` Code des verrechnungszuständigen Svt für die SV-Person.
    `String` | `getVersicherungsstatus()` Versicherungsstatus.
    `void` | `setBehandlungsdatum(String _behandlungsdatum)`
    `void` | `setBehandlungsfallCode(String _behandlungsfallCode)`
    `void` | `setFachgebietsCode(String _fachgebietsCode)`
    `void` | `setKonsultationId(Long _konsultationId)`
    `void` | `setLeistungsSvtCode(String _leistungsSvtCode)`
    `void` | `setVerrechnungsSvtCode(String _verrechnungsSvtCode)`
    `void` | `setVersicherungsstatus(String _versicherungsstatus)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KonsultationInfo

          public KonsultationInfo()

  - ### Method Detail

    - #### getKonsultationId

          public Long getKonsultationId()

      Eindeutige Nummer der Konsultation.
      Format: maximal 19-stellig
      Returns:
        KonsultationId.

    - #### setKonsultationId

          public void setKonsultationId(Long _konsultationId)

    - #### getBehandlungsdatum

          public String getBehandlungsdatum()

      Datum der Behandlung.
      Format: TT.MM.JJJJ
      Returns:
        Behandlungsdatum.

    - #### setBehandlungsdatum

          public void setBehandlungsdatum(String _behandlungsdatum)

    - #### getVersicherungsstatus

          public String getVersicherungsstatus()

      Versicherungsstatus.
      Mögliche Werte siehe `Versichertenkategorie`.
      Format: maximal 2-stellig
      Returns:
        Versicherungsstatus

    - #### setVersicherungsstatus

          public void setVersicherungsstatus(String _versicherungsstatus)

    - #### getFachgebietsCode

          public String getFachgebietsCode()

      Code des Fachgebietes, mit dem die Konsultation durchgeführt wurde.
      Format: maximal 2-stellig
      Returns:
        FachgebietsCode.

    - #### setFachgebietsCode

          public void setFachgebietsCode(String _fachgebietsCode)

    - #### getLeistungsSvtCode

          public String getLeistungsSvtCode()

      Code des leistungszuständigen Svt für die SV-Person.
      Format: maximal 2-stellig
      Returns:
        LeistungsSvtCode

    - #### setLeistungsSvtCode

          public void setLeistungsSvtCode(String _leistungsSvtCode)

    - #### getVerrechnungsSvtCode

          public String getVerrechnungsSvtCode()

      Code des verrechnungszuständigen Svt für die SV-Person.
      Format: maximal 2-stellig
      Returns:
        VerrechnungsSvtCode

    - #### setVerrechnungsSvtCode

          public void setVerrechnungsSvtCode(String _verrechnungsSvtCode)

    - #### getBehandlungsfallCode

          public String getBehandlungsfallCode()

      Code des Behandlungsfalls.
      Format: maximal 2-stellig
      Returns:
        BehandlungsfallCode

    - #### setBehandlungsfallCode

          public void setBehandlungsfallCode(String _behandlungsfallCode)